/*==================== GLOBAL ==================== */



/* .btn_area {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 5%;
}
button:active,
button:focus,
button {
    outline: none;
} */

/* .bttn:focus {
    box-shadow: none; 
}*/

/* .btn_bg {
    background: #FF0F00;
    border: 1px solid #FF0F00;
    box-shadow: 0 0 5px #ff1100c4;
    border-radius: 25px;
    padding: 5px 25px;
    font-weight: bold;
    transition: all .3s ease-in-out;
}

.btn_bg:hover {
    background: transparent;
    color: #FF0F00;
}

.btn_border {
    border-radius: 25px;
    border: 1px solid #FF0F00;
    box-shadow: 0 0 5px #ff1100c4;
    background: none;
    padding: 5px 10px;
    color: #FF0F00;
    font-size: 1rem;
    font-weight: bold;
    transition: all .3s ease-in-out;
}

.btn_border:hover {
    background: #FF0F00;
    color: #0D3062;
    
}
.itc_breadcrumbs .kb_title {
    color: #FF0F00;
} */
/* .site {
    position: relative;
} */
/* h1 {
    font-size: calc(24px + 18 * (100vw / 1280));
}
.site_description, h2 {
    font-size: calc(22px + 14 * (100vw / 1280));
}
button, .ft, h3 {
    font-size: calc(20px + 10 * (100vw / 1280));
}
.call_text, h4 {
    font-size: calc(18px + 6 * (100vw / 1280));
}
.itc_breadcrumbs span, li, a, p {
    font-size: calc(14px + 4 * (100vw / 1280));
} */
/* section {
    position: relative;
    padding: 2em 0;
}

main {
    position: relative;
} */

/* *,
 ::after,
 ::before {
    box-sizing: content-box;
} */

/* .font_bold {
    font-weight: bold;
}

.font_normal {
    font-weight: normal;
} */

/* .btn_area_inline {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.text_center {
    text-align: center;
} */
.neo_btn {
    color: #fff;
    border-radius: 50%;
    border: 2px solid #6964da;
    background: linear-gradient(145deg, #7d77ff, #6964da);
    box-shadow:  5px 5px 10px #5e5e61,
                -5px -5px 10px #ffffff,
                inset -8px -8px 17px #2f2c61,
                inset 8px 8px 17px #bbb2ff;
    transition: box-shadow .2s ease-in-out;
}
.neo_btn:hover,
.neo_btn:focus {
    box-shadow:  5px 5px 10px #5e5e61,
    -5px -5px 10px #ffffff,
    inset 8px 8px 17px #2f2c61,
    inset -8px -8px 17px #bbb2ff;
}
.neo_text {
    color: #e0e5eb;
    text-shadow: -8px -8px 12px rgb(255 255 255 / 55%), 8px 8px 12px rgb(0 0 0 / 28%);
    caret-color:#262626;
    outline: none;
}
.neo_light_smooth {
    border-radius: 15px;
    background: #EBECF2;
    box-shadow:  7px 7px 14px #a5a5a9,
                 -7px -7px 14px #ffffff;
}
.neo_light_inside {
    background: linear-gradient(145deg, #d4d4da, #fbfdff);
    box-shadow:  8px 8px 16px #a5a5a9,
                -8px -8px 16px #ffffff;
}
.neo_light_convex {
    background: linear-gradient(145deg, #fbfdff, #d4d4da);
    box-shadow:  8px 8px 16px #a5a5a9,
                -8px -8px 16px #ffffff;
}
.neo_light_deep_inside {
    border-radius: 15px;
    background: #EBECF2;
    box-shadow: inset 5px 5px 10px #a5a5a9,
                inset -5px -5px 10px #ffffff;
}
.neo_light_curb {
    background: #EBECF2;
    box-shadow:  7px 7px 14px #a5a5a9,
                -7px -7px 14px #ffffff,
                inset 5px 5px 10px #a5a5a9, 
                inset -5px -5px 10px #ffffff;
}
.neo_dark_curb {
    background: #252D44;
    box-shadow: 8px 8px 10px #1d2436,
                -8px -8px 10px #2d3652,
                inset 8px 8px 10px #1d2436,
                inset -8px -8px 10px #2d3652;
}
.neo_dark_smooth{
    border-radius: 16px;
    background: #252D44;
    box-shadow:  8px 8px 10px #1d2436,
                -8px -8px 10px #2d3652;
}
.neo_dark_deep_inside{
    border-radius: 16px;
    background: #252D44;
    box-shadow: inset 8px 8px 10px #1d2436,
                inset -8px -8px 10px #2d3652;
}

/*==================== HEADER ==================== */
.itc_breadcrumbs {
    font-size: 1rem;
}
.site-header {
    position: sticky;
    left: 0;
    top: 0;
    z-index: 10;
    display: flex;
    justify-content: space-between;
    padding-top: 5px;
    padding-bottom: 5px;
    backdrop-filter: blur(8px) saturate(180%);
    -webkit-backdrop-filter: blur(8px) saturate(180%);
    background-color: rgba(17, 25, 40, 0.6);
}
.site_logo {
    display: flex;
    align-items: center;
}

.logo {
    margin-right: 10px;
    max-height: 40px;
}

.main-page-title {
    font-size: 2.5em;
    text-transform: uppercase;
}
.site_description {
    font-size: 1.25em;
    line-height: 110%;
}
.img-decor {
    position: absolute;
    height: auto;
    width: auto;
    max-width: 100%;
    object-fit: contain;
    top: 0;
    right: 0;
    left: 0;
    margin: 0 auto;
    z-index: -1;
    opacity: .7;
}
.img-decor-left {
    position: absolute;
    height: auto;
    width: auto;
    max-width: 100%;
    object-fit: contain;
    top: 0;
    /* right: 0; */
    left: 0;
    /* margin: 0 auto; */
    z-index: 0;
}
.img-decor-right {
    position: absolute;
    height: auto;
    width: auto;
    max-width: 100%;
    object-fit: contain;
    top: 0;
    right: 0;
    z-index: 0;
}
.service-card-title {
    text-transform: uppercase;
}
.services-grid {
    display: grid;
    column-gap: 1.5rem;
    row-gap: 1.5rem;
    overflow: hidden;
}
.site-branding {
    position: relative;
    padding: 2em 0;
}
.tab-container {
    display: grid;
    column-gap: 1em;
}
.tabs-box {
    display: flex;
    flex-direction: column;
    width: 100%;
    row-gap: 1em;
    margin-bottom: 1rem;
}
.tab {
    padding: 0 10px;
    border-radius: 10px;
}
.tab:hover {
    cursor: pointer;
}
.tab.active {
    background: rgba(255, 255, 255, 0.5);
    color: #101234;
}
.tab-label {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.tab-arrow {
    content: '';
    display: flex;
    align-items: center;
    justify-content: center;
    width: 44px;
    height: 44px;
    border-radius: 50%;
}
.tab-arrow svg {
    transition: all .2s ease-in-out;
}
.tab.active .tab-arrow svg {
    transform: rotate(90deg);
}
.tab-arrow path {
    fill: #FF0F00;
    filter: drop-shadow(3px 5px 5px #ff1100c4);
}
.tab-content-wrap {
    padding-bottom: 1rem;
}
.tab-content {
    margin-left: 0.5rem;
    max-height: 0;
    height: 100%;
    overflow: hidden;
    opacity: 0;
    padding-bottom: 0;
    transition: max-height 0.3s ease-out, opacity 0.7s ease-out;
}
.tab.active .tab-content {
    opacity: 1;
}
.tab-content-box {
    display: none;
}
.tab-content-wrapper {
    position: relative;
}
.tab-content-outside {
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease-in-out;
}
.tab-content-outside.active {
    opacity: 1;
    visibility: visible;
}
.tab-content-buttons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 1rem;
    margin-top: 1rem;
}
.social_menu {
    margin: 0 auto;
    display: flex;
    width: 100%;
    justify-content: space-around;
}
.header-social .social_item {
    /* width: 7vw;
    height: 7vw;
    border-radius: 10px; */
}
.header-social .social_link {
    font-size: 1.5em;
    color: inherit;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.absolutle {
    margin: auto;
    position: absolute;
    left: 0; 
    right: 0;
    z-index: 5;
}

.ft {
    font-size: 1.3em;
    
}
.itc_breadcrumbs a:hover{
    color: #ff0404;
}

.fixed_nav {
    position: fixed;
    display: block;
    visibility: hidden;
    top: 50%;
    z-index: 9999;
    transform: translateX(-100%);
    opacity: 0;
    transition: all .3s ease-in-out;
}
.fixed_nav_list {
    display: flex;
    flex-direction: column;
    align-items: end;
}
.fixed_nav_list li {
    text-align: right;
    padding: 0.15em 0;
    margin: 3px 0;
    z-index: 5555;
    background-color: #FF0F00;
    font-weight: bold;
    display: flex;
    justify-content: right;
    align-items: center;
    transition: all .3s ease-in-out;
    width: fit-content;
}

.fixed_show {
    visibility: visible;
    opacity: 1;
    transform: translateX(calc(-100% + 2.25rem + 5px + 7px));
}

.fixed_show .fixed_nav_list li:hover {
    transform: translateX(calc(100% - 2.25rem - 5px - 7px));
}
.menu-icon {
    height: 2.25rem;
    width: 2.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav_fixed_link {
    display: flex;
    align-items: center;
    column-gap: 7px;
    padding: 0 5px;
}
.main_nav {
    box-sizing: border-box;
    /* position: relative; */
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    display: none;
}

ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.nav_list .nav-item {
    display: inline-block;
    font-size: 1.25em;
}

.nav-link {
    padding: 0 10px;
    text-decoration: none;
    position: relative;
}
.current-menu-item .nav-link,
.nav_list .nav-link:hover {
    color: var(--red);
}
.nav-link::before {
    content: '\005B';
    position: absolute;
    left: 10px;
    opacity: 0;
    transition: all .2s ease-in-out;
}

.current-menu-item .nav-link::after,
.nav-link::after {
    content: '\005D';
    position: absolute;
    right: 10px;
    opacity: 0;
    transition: all .2s ease-in-out;
}
.current-menu-item .nav-link::before,
.nav-link:hover::before {
    left: 0;
    opacity: 1;
}
.current-menu-item .nav-link::after,
.nav-link:hover::after {
    right: 0;
    opacity: 1;
}

.top-menu {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    margin: 0;
    padding: 0;
}

.call_text {
    text-align: center;
}
/*==================== BODY ==================== */
.main-page-header {
    display: grid;
}
.main-page-header-img {
    position: relative;
    display: none;
}
.main-page-content .block {
    margin-bottom: var(--default-margin);
    position: relative;
}
.img-decor-first {
    position: absolute;
    height: auto;
    width: auto;
    max-width: 100%;
    object-fit: contain;
    top: -5%;
    left: -5%;
    z-index: 0;
}
.dev-card {
    display: flex;
    flex-direction: column;
}
.dev-card .fire-button {
    margin: 1em auto 0 auto;
    min-width: 200px;
    text-align: center;
}
.dev-card-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
.dev-card-header img {
    width: 100%;
    height: auto;
    object-fit: contain;
}
.content_wrapper {
    box-sizing: border-box;
    position: relative;
}

.bg-img-absolut {
    position: absolute;
}

.section-bg-img {
    z-index: -5;
    left: 0;
    top: 0;
    height: 100%;
}
.section_title_wrapper {
    display: flex;
    justify-content: center;
}
.site_for_business_title {
    padding: 7px 20px;
    border-radius: 15px;
    border: 1px solid #fff;
}
.site_for_business_wrapper {
    box-sizing: border-box;
}
.about-site-block {

}
.about-site-link {

}
.section-decor-wrapper {
    position: relative;
    display: none;
}
.site-key-list {
    display: flex;
    flex-direction: column;
    row-gap: 0.75em;
    position: relative;
}
.site-key-list .img-decor {
    opacity: .3;
}
.site-key-list > div {
    display: flex;
    flex-direction: column;
}
.site-key-list > div > h3 {
    margin: 0;
}
.site-key {
    display: flex;
    background: url(../img/decor/galaxy-6332398.png)no-repeat center;
    background-size: cover;
    text-align: center;
}
.site-key h2 {
    margin-bottom: var(--default-margin);
}
.site-key .btn-area {
    display: flex;
    justify-content: center;
    margin-top: 15%;
}
.site_key_grid {
    display: flex;
    justify-content: center;
    padding-top: 11%;
}
.site_key_left_column {
    display: grid;
    position: relative;
    justify-items: center;
    align-items: center;
    width: 100%;
    height: 100%;
}
.site_key_title {
    text-align: center;
    text-transform: lowercase;
    padding: 5px 15px;
    border-radius: 15px;
    border: 1px solid #fff;
    position: relative;
}
.site_key_glass_grid {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: column;
}
.rhomb-box {
    transform: rotate(45deg);
    border-radius: 5px;
    width: 100%;
    height: 100%;
    aspect-ratio: 1 / 1;
}
.rhomb-wrapper {
    position: relative;
    width: 45%;
}
.rhomb-wrapper:nth-child(odd){
    align-self: flex-start;
    margin-left: 11%;
}
.rhomb-wrapper:nth-child(even){
    align-self: flex-end;
    margin-right: 11%;
    margin-top: -11%;
}
.rhomb-wrapper:nth-child(4){
}
.rhomb-wrapper:nth-child(3){
    margin-top: -11%;
}
.rhomb-wrapper:nth-child(5){
    margin-top: -11%;
}
.rhomb-content {
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    
    width: 100%;
    height: 100%;
    z-index: 1;
    color: var(--dark-bg);
    text-align: center;
}
.rhomb-content i {
    font-size: 3em;
}
.rhomb-content h3 {
    margin: 0.5em 0;
}
.site_key_cell {
    padding: 10px;
    background: rgba(255, 255, 255, 0.5);
    border-radius: 16px;
    border: 1px solid rgba(255, 255, 255, 1);
    backdrop-filter: blur(5px) saturate(200%);
    -webkit-backdrop-filter: blur(5px) saturate(200%);
    border: 2px solid #56565670;
    border-radius: 10px;
}
.site_key_cell > h4 {
    display: flex;
    justify-content: center;
    position: relative;
    padding: 5px;
    text-align: center;
    background: rgba(255, 255, 255, .5);
    min-height: 20vw;
    border-radius: 10px;
}
.site_key_cell > h4::before {
    content: attr(number);
    position: absolute;
    padding: 10px 20px;
    border: 1px solid #101234;
    border-radius: 25px;
    top: -40px;
    background: blueviolet;
    z-index: -1;
}
.sites_face {
    padding: 5% 0;
    background-color: #101234;
    /* background: url(../img/bgs/services-bg.webp) no-repeat center; */
    background: url(../img/decor/services-bg-21.png) no-repeat center;
    background-size: cover;
    text-align: center;
    color: #fff;
}

.sites_face_content {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
}
.site_face_text {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-top: var(--default-margin);
}
.site_face_text_wrapper {
    text-align: center;
    margin-bottom: var(--default-margin);
}
.projects-wrapper {
    width: 100%;
    position: relative;
    min-height: 30vw;
    display: flex;
    border-style: solid;
    border-width: 10px 24px 35px 24px;
    -moz-border-image: url(../img/decor/notebook_bg.webp) 26 79 39 79 stretch  round;
    -webkit-border-image: url(../img/decor/notebook_bg.webp) 26 79 39 79 stretch  round;
    -o-border-image: url(../img/decor/notebook_bg.webp) 26 79 39 79 stretch  round;
    border-image: url(../img/decor/notebook_bg.webp) 26 79 39 79 stretch  round;
}
.projects {
    width: 100%;
    height: 100%;
}
.projects .swiper {
    overflow-y: visible;
}
.projects img {
    width: 100%;
    height: 100%;
    aspect-ratio: 1.45 / 1;
    object-fit: cover;
}
.project-slide-title {
    position: absolute;
    width: 100%;
    text-align: center;
    bottom: 0;
    display: none;
}
.projects .slider-control {
    top: auto;
    bottom: -90px;
    padding: 0.5em;
}
.projects .slider-control svg path {
  fill: #FF0F00;
  filter: drop-shadow(3px 5px 5px #ff1100c4);
}
.services_section {
    text-align: center;
    padding: 5% 0;
}
.services_section .section_bg {
    height: 100%;
}
.services_hex {
    background-size: contain;
    position: relative;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
}

.services_hex h3 {
    position: relative;
    margin-top: 20%;
}
.hex_cell {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}
.icon_wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 8vw;
    height: 8vw;
    font-size: 4em;
    border-radius: 50%;
    border: 6px solid transparent;
}
.icon_wrapper::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 30%;
    border-radius: 50%;
    box-shadow: inset 0px 5px 5px #0d306256,
                inset 0px -5px 5px #fff;
    z-index: -1;
}
.additional_services {
    text-align: center;
    /* background: url(../img/additional-services-bg.jpg) no-repeat center;
    background-size: cover; */
    padding: 5% 0;
    /* min-height: 80vw; */
    position: relative;
    overflow: hidden;
}

.additional_services > div {
    position: relative;
}
.additional_services>div>div {
    padding: 5% 0;
}
.additional_services>div>div h2{
    margin-bottom: 5%;
}
.additional_services>div>div>div {
    box-sizing: border-box;
    padding: 10px;
    min-height: 362px;
    border-style: solid;
    border-width: 5px 5px 5px 5px;
    -moz-border-image: url(../img/decor/border-add-sevices.png) 5 5 5 5 stretch stretch;
    -webkit-border-image: url(../img/decor/border-add-sevices.png) 5 5 5 5 stretch stretch;
    -o-border-image: url(../img/decor/border-add-sevices.png) 5 5 5 5 stretch stretch;
    border-image: url(../img/decor/border-add-sevices.png) 5 5 5 5 stretch stretch;
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.add_serv_more {
    background: #FF0F00;
    
    border: none;
    border-radius: 25px;
    padding: 8px 40px;
}
.add_serv_content {
    text-align: left;
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: space-around;
}
.desinger .add_serv_content {
    padding-left: 20px;
}

.add_serv_img {
    position: relative;
    display: flex;
    align-items: end;
}
.add_serv_img img {
    position: relative;
    width: 100%;
}
.seo_wrapper img {
    right: -15px;
    bottom: 0;
}
.desinger_wrapper img {
    left: -15px;
}
/*============== CONTENT PAGE ================*/

.category_dev_main {
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 15px;
    padding: 5% 0;
    background-image: url(../img/bgs/space30.webp);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 50% 50%;
}

.category_grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 10px;
    padding: 5% 0;
}
.category-social {
    justify-content: start;
    margin-top: 5%;
}
.category-social .social_item {
    width: 5vw;
    height: 5vw;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 25px;
}
.category-social .social_link {
    font-size: calc(16px + 14 * (100vw / 1280));
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.dev_article {
    position: relative;
    display: grid;
    row-gap: 10px;
    background: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px) saturate(200%);
    -webkit-backdrop-filter: blur(5px) saturate(200%);
    border-radius: 5px;
    border: 1px solid #fff;
}
.page-post-img img,
.category_img img {
    width: 100%;
    height: auto;
}
/* .levitation_img {
    animation-name: levitation_img;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}
@keyframes levitation_img {
    0% { transform: translate(0,  0px); filter: drop-shadow(0px 7px 7px #0D3062); }
    50%  { transform: translate(0, -15px); filter: drop-shadow(0px 17px 17px #0D3062); }
    100%   { transform: translate(0, -0px); filter: drop-shadow(0px 7px 7px #0D3062); }   
} */
.article_content_header_title {
    position: relative;
    width: fit-content;
    margin-top: 0;
}
.article_content_header_title::before {
    position: absolute;
    bottom: -12px;
    left: 0px;
    display: block;
    content: "";
    width: 50%;
    height: 3px;
    background-color: #0D3062;
}
.article_content_wrapper {
    position: relative;
    display: grid;
    grid-template-rows: auto 1fr auto;
    z-index: 10;
    color: #101234;
}

.article_content_img img {
    width: 100%;
    height: auto;
}
.article_content_header {
    margin-bottom: 15px;
}

.article_content_footer {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 0;
}
.article_content_body .sub-title {
    font-weight: 600;
}
.about-slider-wrapper .swiper-wrapper .dev_article {
    height: 100%;
}
.about-slider-wrapper .slider-control {
    top: auto;
    bottom: -50px;
    padding: 0.5em;
}
.about-slider-wrapper .slider-control svg path {
  fill: #FF0F00;
  filter: drop-shadow(3px 5px 5px #ff1100c4);
}
.about-slide {
    height: auto;
}
.post-navigation {
    padding: 5% 0;
}
.post-navigation .nav-links{
    display: flex;
    justify-content: space-between;
}
.page-post {
    position: relative;
}
.page-post-header {
    display: flex;
    flex-direction: column-reverse;
    row-gap: 1rem;
}
.page-post-title h1{
    text-transform: uppercase;
}
/*========== FOOTER ==============*/

.site-footer {
    box-sizing: border-box;
    position: relative;
    padding: 20px 0;
    border-top-width: 1px;
    border-top-style: solid;
    border-image: linear-gradient(to right, transparent 10%, #101234, transparent 90%) 1 stretch stretch;
}
.site-footer .img-decor {
    top: auto;
    width: 100%;
    bottom: 0;
    z-index: -1;
    opacity: .5;
}
.footer-content-wrapper {
    display: flex;
    flex-direction: column;
}
.menu-footer-box {
    display: flex;
    flex-direction: column;
    column-gap: 1rem;
    row-gap: 1rem;
    text-align: center;
}
.site_info {
    text-align: center;
}
.site-footer-info-meta {
    margin-top: 2rem;
    padding: 1rem 0;
    border-top-width: 1px;
    border-top-style: solid;
    border-image: linear-gradient(to right, transparent 10%, var(--orange), transparent 90%) 1 stretch stretch;
    text-align: center;
}
.footer-content-wrapper .soc_icons .footer-social{
    justify-content: space-evenly;
}
.footer-social .social_item {
    padding: 5px 15px;
    border-radius: 7px;
}
.footer-content-wrapper .soc_icons a {
    font-size: 1.6em;
    transition: color .2s ease-in-out;
}
.footer-content-wrapper .soc_icons a:not(:last-child) {
    margin-right: 10px;
}
.footer-content-wrapper .soc_icons a:hover{
    color: #ff0404;
}
.footer_cat_name {
    font-size: 1.5rem;
}
.footer_cat_name a{
    position: relative;
}
.footer-menu a:hover {
    color: #ff0404;
    transition: .2s ease-in-out;
}
.footer-menu {
    justify-self: center;
    flex: 1;
}
.footer-menu h2 {
    position: relative;
    font-weight: bold;
    margin-bottom: 1em;
    margin-left: auto;
    margin-right: auto;
    width: fit-content;
}
.footer-menu h2::before {
    position: absolute;
    bottom: -12px;
    left: 0px;
    display: block;
    content: "";
    width: 100%;
    height: 3px;
    background-color: #ff0404;
}
.text_red {
    color: #ff0404;
}
.text_bold {
    font-weight: bold;
}
.pages_list a{
    display: block;
}
/*============== MODAL ===================*/

.modal-order {
    position: fixed;
    left: 0%;
    top: 50%;
    transform: translate(-50%, -50%);
    height: 450px;
    max-width: 400px;
    width: 100%;
    border-style: solid;
    border-width: 80px 60px 80px 60px;
    -moz-border-image: url(../img/modal-border.webp) 80 60 80 60 fill repeat;
    -webkit-border-image: url(../img/modal-border.webp) 80 60 80 60 fill repeat;
    -o-border-image: url(../img/modal-border.webp) 80 60 80 60 fill repeat;
    border-image: url(../img/modal-border.webp) 80 60 80 60 fill repeat;
    z-index: -5;
    opacity: 0;
    transition: all 400ms ease-out;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal_header {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    color: #fff;
}

.modal-body-wrapper {
    display: flex;
    flex-direction: column;
    width: 115%;
    height: 130%;
    position: absolute;
}

.modal-visible {
    opacity: 1;
    left: 50%;
    z-index: 999;
}

.modal-hidden {
    left: 100%;
}

.order-form {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
}
.order-form input,
.order-form textarea {
    font-size: 16px;
}
.valid {
    box-sizing: border-box;
    background: none;
    color: aqua;
    border: 1px solid aqua;
    border-radius: 5px;
    padding: 10px 15px;
    margin: 10px 0;
    width: 100%;
    resize: none;
}

.valid::placeholder {
    color: aqua;
    transition: color .4s ease-in-out;
}

.invalid {
    border: 1px solid red;
}

.invalid::placeholder {
    color: red;
    font-weight: bold;
}

.modal_body {
    display: flex;
    /* height: 100%; */
}

.order-form textarea:focus,
.order-form input:focus {
    outline: none;
    box-shadow: 0 0 3px 3px aqua;
}

.order-form textarea:focus::placeholder,
.order-form input:focus::placeholder {
    color: transparent;
}

.modal_footer {
    display: flex;
    justify-content: space-between;
    text-align: center;
    font-size: 16px;
}

.modal_footer .bttn {
    text-align: center;
    font-size: 16px;
}

.close_modal {
    color: #ff0404;
    font-size: 30px;
    font-weight: bold;
    font-family: Times, sans-serif;
    border-radius: 50%;
    border: 2px solid #ff0404;
    width: 36px;
    height: 36px;
    line-height: 31px;
    text-align: center;
    cursor: pointer;
    transform: rotate(45deg);
    transition: all .4s;
}

.close_modal:hover {
    color: aqua;
    border-color: aqua;
    transform: rotate(135deg);
}


/*============== END MODAL ===================*/

.gallery-wrapper {
    margin-top: 50px;
}

.gallery-item {
    border: 7px solid #e1e2e1;
    box-sizing: border-box;
    position: relative;
}

.owl-item a::before {
    content: '';
    position: absolute;
    box-sizing: border-box;
    border: 7px solid transparent;
    width: 100%;
    height: 100%;
    z-index: 5;
    box-shadow: inset 0 0 5px 1px #16163f;
}

.owl-theme .owl-nav [class*=owl-]:hover {
    background: none !important;
}

.arrow-left-1,
.arrow-right-1 {
    margin: 10px 4px;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    cursor: pointer;
    background: radial-gradient(#fff, #BFE2FF);
    cursor: pointer;
}

.arrow-left-1 path,
.arrow-right-1 path {
    fill: rgba(191, 226, 255, 0.6);
    stroke-width: 2;
    stroke: #101234;
    transition: fill 0.5s ease-out;
}

.arrow-right-1 {
    transform: rotate(180deg);
}

.arrow-left-1:hover path,
.arrow-right-1:hover path {
    fill: #101234;
}

.upbtn {
    z-index: 99;
    width: 50px;
    height: 50px;
    position: fixed;
    bottom: -80px;
    right: 20px;
    cursor: pointer;
}
.upbtn img{
    transition: all .2s ease-in;
    -webkit-filter: drop-shadow(0px 0px 1px #0D3062);
    filter: drop-shadow(0px 0px 1px #0D3062);
}
.upbtn:hover img{
    -webkit-filter: drop-shadow(0px 0px 3px #0D3062);
    filter: drop-shadow(0px 0px 3px #0D3062);
}

.messages {
    position: fixed;
    display: flex;
    flex-direction: column;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    padding: 10px;
    border: 7px solid rgb(39, 143, 143);
    box-shadow: inset 0 0 5px 1px black;
    background: blueviolet;
    
    z-index: 999;
}
/* 404 */
.error-404 {
    padding: 0 10px;
    background: url(../img/404.webp) no-repeat center;
    background-size: contain;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 50vw;
}
.error_page_wrapper {
    padding: 15px;
    background: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px) saturate(200%);
    -webkit-backdrop-filter: blur(5px) saturate(200%);
    border-radius: 7px;
    justify-self: center;
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    align-items: center;
    text-align: center;
    justify-items: center;
    border: 1px solid #fff;
}
article.page {
    padding: 5% 0;
    box-sizing: border-box;
}